//
//  ArticlesRepository.swift
//  Foodlisting
//
//  Created by Carlos Martinez on 28/4/21.
//

import UIKit
import CoreData

class ArticlesRepository {
  static let shared = ArticlesRepository()

  init() {}

  init(withContext: NSManagedObjectContext) {
    context = withContext
  }

  // swiftlint:disable:next force_cast
  private var context = (UIApplication.shared.delegate as! AppDelegate).persistentContainer.viewContext

  func fetch(completion: @escaping ([Article]) -> Void) {
    do {
      let articles: [Article] = try context.fetch(Article.fetchRequest())
      completion(articles)
    } catch {
      assertionFailure("Error leyendo los artículos")
      completion([])
    }
  }

  func createNewArticle() -> Article {
    let newArticle = Article(context: context)
    newArticle.id = UUID()
    return newArticle
  }

  func delete(article: Article) {
    context.delete(article)

    do {
      try context.save()
    } catch {}
  }

  func updateArticle(completion: @escaping (Bool) -> Void) {
    do {
      try context.save()
      completion(true)
    } catch {
      assertionFailure("Error guardando el artículo")
      completion(false)
    }
  }
}
