//
//  UIViewController+Extension.swift
//  Foodlisting
//
//  Created by Carlos Martinez on 28/4/21.
//

import UIKit

extension UIViewController {
  func showAlertError(withMessage msg: String) {
    let alert = UIAlertController(title: "Error", message: NSLocalizedString(msg, comment: ""), preferredStyle: .alert)
    alert.addAction(UIAlertAction(title: "Ok", style: .default))
    present(alert, animated: true)
  }

  func showConfirmationAlert(withMessage msg: String, confirmation: @escaping () -> Void) {
    let alert = UIAlertController(title: nil, message: NSLocalizedString(msg, comment: ""), preferredStyle: .alert)
    alert.addAction(UIAlertAction(title: NSLocalizedString("Cancel", comment: ""), style: .cancel))
    alert.addAction(UIAlertAction(title: NSLocalizedString("Delete", comment: ""), style: .destructive) { _ in
      confirmation()
    })

    present(alert, animated: true)
  }
}
