//
//  Article+CoreDataProperties.swift
//  Foodlisting
//
//  Created by Carlos Martinez on 1/5/21.
//
//

import UIKit
import CoreData

extension Article {
  @nonobjc public class func fetchRequest() -> NSFetchRequest<Article> {
    return NSFetchRequest<Article>(entityName: "Article")
  }

  @NSManaged public var color: NSObject?
  @NSManaged public var id: UUID?
  @NSManaged public var name: String?
  @NSManaged public var dishes: NSSet?
  @NSManaged public var calendarItems: NSSet?

  public var wrappedColor: UIColor {
    color as? UIColor ?? .appGreen
  }
}

// MARK: Generated accessors for dishes
extension Article {
  @objc(addDishesObject:)
  @NSManaged public func addToDishes(_ value: Dish)

  @objc(removeDishesObject:)
  @NSManaged public func removeFromDishes(_ value: Dish)

  @objc(addDishes:)
  @NSManaged public func addToDishes(_ values: NSSet)

  @objc(removeDishes:)
  @NSManaged public func removeFromDishes(_ values: NSSet)
}

// MARK: Generated accessors for calendarItems
extension Article {
  @objc(addCalendarItemsObject:)
  @NSManaged public func addToCalendarItems(_ value: CalendarItem)

  @objc(removeCalendarItemsObject:)
  @NSManaged public func removeFromCalendarItems(_ value: CalendarItem)

  @objc(addCalendarItems:)
  @NSManaged public func addToCalendarItems(_ values: NSSet)

  @objc(removeCalendarItems:)
  @NSManaged public func removeFromCalendarItems(_ values: NSSet)
}

extension Article: Identifiable {}
