//
//  CalendarDay+CoreDataProperties.swift
//  Foodlisting
//
//  Created by Carlos Martinez on 1/5/21.
//
//

import Foundation
import CoreData


extension CalendarDay {
  @nonobjc public class func fetchRequest() -> NSFetchRequest<CalendarDay> {
    return NSFetchRequest<CalendarDay>(entityName: "CalendarDay")
  }

  @NSManaged public var id: UUID?
  @NSManaged public var date: Date?
  @NSManaged public var items: NSSet?

  public var itemsArray: [CalendarItem] {
    let set = items as? Set<CalendarItem> ?? []
    return Array(set)
  }

  public var formattedDate: String {
    let outputFormat = DateFormatter()
    outputFormat.timeStyle = .none
    outputFormat.dateStyle = .short
    outputFormat.locale = Locale.current
    outputFormat.doesRelativeDateFormatting = true
    // swiftlint:disable:next force_unwrapping
    return outputFormat.string(from: date!)
  }
}

// MARK: Generated accessors for items
extension CalendarDay {
  @objc(addItemsObject:)
  @NSManaged public func addToItems(_ value: CalendarItem)

  @objc(removeItemsObject:)
  @NSManaged public func removeFromItems(_ value: CalendarItem)

  @objc(addItems:)
  @NSManaged public func addToItems(_ values: NSSet)

  @objc(removeItems:)
  @NSManaged public func removeFromItems(_ values: NSSet)
}

extension CalendarDay: Identifiable {}
