//
//  Dish+CoreDataProperties.swift
//  Foodlisting
//
//  Created by Carlos Martinez on 1/5/21.
//
//

import UIKit
import CoreData

extension Dish {
  @nonobjc public class func fetchRequest() -> NSFetchRequest<Dish> {
    return NSFetchRequest<Dish>(entityName: "Dish")
  }

  @NSManaged public var color: NSObject?
  @NSManaged public var comment: String?
  @NSManaged public var id: UUID?
  @NSManaged public var name: String?
  @NSManaged public var articles: NSSet?
  @NSManaged public var calendarItems: NSSet?

  public var wrappedColor: UIColor {
    color as? UIColor ?? .appGreen
  }

  public var articlesArray: [Article] {
    let set = articles as? Set<Article> ?? []
    return Array(set)
  }

  public var calendarItemsArray: [CalendarItem] {
    let set = calendarItems as? Set<CalendarItem> ?? []
    return Array(set)
  }
}

// MARK: Generated accessors for articles
extension Dish {
  @objc(addArticlesObject:)
  @NSManaged public func addToArticles(_ value: Article)

  @objc(removeArticlesObject:)
  @NSManaged public func removeFromArticles(_ value: Article)

  @objc(addArticles:)
  @NSManaged public func addToArticles(_ values: NSSet)

  @objc(removeArticles:)
  @NSManaged public func removeFromArticles(_ values: NSSet)
}

// MARK: Generated accessors for calendarItems
extension Dish {
  @objc(addCalendarItemsObject:)
  @NSManaged public func addToCalendarItems(_ value: CalendarItem)

  @objc(removeCalendarItemsObject:)
  @NSManaged public func removeFromCalendarItems(_ value: CalendarItem)

  @objc(addCalendarItems:)
  @NSManaged public func addToCalendarItems(_ values: NSSet)

  @objc(removeCalendarItems:)
  @NSManaged public func removeFromCalendarItems(_ values: NSSet)
}

extension Dish: Identifiable {}
