//
//  ShoppingList+CoreDataProperties.swift
//  Foodlisting
//
//  Created by Carlos Martinez on 3/5/21.
//
//

import Foundation
import CoreData


extension ShoppingList {
  @nonobjc public class func fetchRequest() -> NSFetchRequest<ShoppingList> {
    return NSFetchRequest<ShoppingList>(entityName: "ShoppingList")
  }

  @NSManaged public var id: UUID?
  @NSManaged public var name: String?
  @NSManaged public var listType: Int32
  @NSManaged public var isPurchased: Bool
  @NSManaged public var dates: [Date]?
  @NSManaged public var items: NSSet?

  public var itemsArray: [ShoppingListItem] {
    let set = items as? Set<ShoppingListItem> ?? []
    return Array(set)
  }
}

// MARK: Generated accessors for items
extension ShoppingList {
  @objc(addItemsObject:)
  @NSManaged public func addToItems(_ value: ShoppingListItem)

  @objc(removeItemsObject:)
  @NSManaged public func removeFromItems(_ value: ShoppingListItem)

  @objc(addItems:)
  @NSManaged public func addToItems(_ values: NSSet)

  @objc(removeItems:)
  @NSManaged public func removeFromItems(_ values: NSSet)
}

extension ShoppingList: Identifiable {}
