//
//  SimpleListViewModelProtocol.swift
//  Foodlisting
//
//  Created by Carlos Martinez on 7/4/21.
//

import UIKit

enum ListType {
  case lists
  case dishes
  case articles
}

protocol SimpleListViewModelProtocol: AnyObject {
  var groupHeight: CGFloat { get }
  var navigationItemTitle: String { get }
  var type: ListType { get }
  var items: [AnyHashable] { get }
  var itemsDidChange: (([AnyHashable]) -> Void)? { get set }
  func fetch()
  func delete<T>(_ item: T)
}
