//
//  OnboardingViewModel.swift
//  Foodlisting
//
//  Created by Carlos Martinez on 2/4/21.
//

import UIKit

class OnboardingViewModel {
  struct OnboardingItem {
    let image: UIImage
    let title: String
    let message: String
    let color: UIColor
  }

  let items: [OnboardingItem]

  init() {
    items = [
      // swiftlint:disable force_unwrapping
      OnboardingItem(
        image: UIImage(named: "icList")!.withTintColor(.tertiarySystemBackground),
        title: NSLocalizedString("Easy", comment: ""),
        message: NSLocalizedString("Create automatic shopping lists based on the dishes you cook", comment: ""),
        color: .appLightGreen),

      OnboardingItem(
        image: UIImage(named: "icCalendar")!.withTintColor(.tertiarySystemBackground),
        title: NSLocalizedString("Efficient", comment: ""),
        message: NSLocalizedString("Organize your week assigning dishes every day", comment: ""),
        color: .appLightRed),

      OnboardingItem(
        image: UIImage(named: "icFood")!.withTintColor(.tertiarySystemBackground),
        title: NSLocalizedString("Customizable", comment: ""),
        message: NSLocalizedString("Create only the dishes and articles you use, without distractions", comment: ""),
        color: .appLightPurple)
      // swiftlint:enable force_unwrapping
    ]
  }
}
