//
//  ColorsItemSelectorCell.swift
//  Foodlisting
//
//  Created by Carlos Martinez on 23/4/21.
//

import UIKit

class ColorsItemSelectorCell: UICollectionViewCell {
  private let checkImageView: UIImageView = {
    let iv = UIImageView()
    iv.image = UIImage(imageLiteralResourceName: "checkmark").withRenderingMode(.alwaysTemplate)
    iv.tintColor = .systemBackground
    iv.contentMode = .scaleAspectFit
    iv.translatesAutoresizingMaskIntoConstraints = false
    iv.backgroundColor = .clear
    return iv
  }()

  override init(frame: CGRect) {
    super.init(frame: frame)
    setupViews()
  }

  required init?(coder: NSCoder) {
    fatalError("Not happening")
  }

  override func layoutSubviews() {
    layer.cornerRadius = frame.height / 2
  }

  private func setupViews() {
    layer.masksToBounds = true
    addSubview(checkImageView)

    NSLayoutConstraint.activate([
      checkImageView.topAnchor.constraint(equalTo: topAnchor, constant: 5),
      checkImageView.leadingAnchor.constraint(equalTo: leadingAnchor, constant: 5),
      checkImageView.trailingAnchor.constraint(equalTo: trailingAnchor, constant: -5),
      checkImageView.bottomAnchor.constraint(equalTo: bottomAnchor, constant: -5)
    ])
  }

  func config(forItem item: ColorItem) {
    backgroundColor = item.color
    checkImageView.isHidden = !item.isSelected
  }
}
