//
//  SubtitleHeaderView.swift
//  Foodlisting
//
//  Created by Carlos Martinez on 10/4/21.
//

import UIKit

class SubtitleHeaderView: UICollectionReusableView {
  private lazy var titleLabel: UILabel = {
    let lbl = UILabel()
    lbl.font = .newYorkFont(weight: .semibold, andTextStyle: .subheadline)
    lbl.textColor = .systemGray
    lbl.translatesAutoresizingMaskIntoConstraints = false
    return lbl
  }()

  override init(frame: CGRect) {
    super.init(frame: frame)
    setupViews()
  }

  required init?(coder: NSCoder) {
    super.init(coder: coder)
    setupViews()
  }

  private func setupViews() {
    self.backgroundColor = .systemBackground
    addSubview(titleLabel)

    NSLayoutConstraint.activate([
      titleLabel.leadingAnchor.constraint(equalTo: leadingAnchor, constant: 15),
      titleLabel.topAnchor.constraint(equalTo: topAnchor, constant: 10),
      bottomAnchor.constraint(equalTo: titleLabel.bottomAnchor, constant: 5),
      trailingAnchor.constraint(equalTo: titleLabel.trailingAnchor, constant: 15)
    ])
  }

  func configure(with title: String) {
    titleLabel.text = title
  }
}
