//
//  DateExtensionTests.swift
//  FoodlistingTests
//
//  Created by Carlos Martinez on 19/4/21.
//

import XCTest
@testable import Foodlisting

class DateExtensionTests: XCTestCase {
  override func setUp() {
    super.setUp()
  }

  override func tearDown() {
    super.tearDown()
  }

  func testDaysOfWeekCount() {
    // given
    let date = Date()

    // when
    let daysOfWeek = date.getDaysOfWeek()

    // then
    XCTAssertEqual(daysOfWeek.count, 7, "A week has 7 days")
  }

  func testDayNumber() {
    // given
    var dateComponents = DateComponents()
    dateComponents.day = 5
    let calendar = Calendar.current
    // when
    let date = calendar.date(from: dateComponents)
    // then
    XCTAssertEqual(date?.dayNumber, 5)
  }
}
