//
//  ListsViewModelTests.swift
//  FoodlistingTests
//
//  Created by Carlos Martinez on 12/5/21.
//

import XCTest
@testable import Foodlisting

class ListsViewModelTests: XCTestCase {
  // swiftlint:disable implicitly_unwrapped_optional
  var coreDataStack: TestCoreDataStack!
  var sut: ListsViewModel!
  // swiftlint:enable implicitly_unwrapped_optional

  override func setUp() {
    super.setUp()
    coreDataStack = TestCoreDataStack()
    let repository = ShoppingListRepository(withContext: coreDataStack.persistentContainer.viewContext)
    sut = ListsViewModel(withRepository: repository)
  }

  override func tearDown() {
    sut = nil
    super.tearDown()
  }

  func testType() {
    XCTAssertEqual(sut.type, .lists, "Tipo incorrecto")
  }

  func testTitle() {
    XCTAssertEqual(sut.navigationItemTitle, NSLocalizedString("Lists", comment: ""), "Título incorrecto")
  }

  func testGroupHeight() {
    XCTAssertEqual(sut.groupHeight, 90, "Altura de grupo incorrecta")
  }
}
