//
//  NewArticleViewModelTests.swift
//  FoodlistingTests
//
//  Created by Carlos Martinez on 12/5/21.
//

import XCTest
@testable import Foodlisting

class NewArticleViewModelTests: XCTestCase {
  // swiftlint:disable implicitly_unwrapped_optional
  var coreDataStack: TestCoreDataStack!
  var sut: NewArticleViewModel!
  var repository: ArticlesRepository!
  // swiftlint:enable implicitly_unwrapped_optional

  override func setUp() {
    super.setUp()
    coreDataStack = TestCoreDataStack()
    repository = ArticlesRepository(withContext: coreDataStack.persistentContainer.viewContext)
    sut = NewArticleViewModel(withRepository: repository)
  }

  override func tearDown() {
    sut = nil
    super.tearDown()
  }

  func testSaveNewDish() {
    sut.saveNewArticle(withName: "", andColor: .appGreen) { error in
      XCTAssertEqual(error, .noname, "El artículo debe tener un nombre")
    }

    sut.saveNewArticle(withName: "Test", andColor: .appGreen) { error in
      XCTAssertEqual(error, .none, "Error guardando el artículo")
      // swiftlint:disable:next force_unwrapping
      XCTAssertEqual(self.sut.currentArticle!.name!, "Test", "Nombre no asignado")
    }
  }
}
