//
//  ShopViewModelTests.swift
//  FoodlistingTests
//
//  Created by Carlos Martinez on 12/5/21.
//

import XCTest
@testable import Foodlisting

class ShopViewModelTests: XCTestCase {
  // swiftlint:disable:next implicitly_unwrapped_optional
  var sut: ShopViewModel!

  override func setUp() {
    super.setUp()
    let coreDataStack = TestCoreDataStack()
    let repository = ShoppingListRepository(withContext: coreDataStack.persistentContainer.viewContext)
    let list = repository.createManualList()
    sut = ShopViewModel(withRepository: repository, andList: list)
  }

  override func tearDown() {
    sut = nil
    super.tearDown()
  }

  func testFinishPurchase() {
    XCTAssertFalse(sut.currentList.isPurchased)
    sut.finishPurcahse()
    XCTAssertTrue(sut.currentList.isPurchased)
  }
}
