//
//  TestCoreDataStack.swift
//  FoodlistingTests
//
//  Created by Carlos Martinez on 12/5/21.
//

import CoreData

class TestCoreDataStack {
  // swiftlint:disable:next implicitly_unwrapped_optional
  private(set) var persistentContainer: NSPersistentContainer!

  init() {
    let persistentStoreDescription = NSPersistentStoreDescription()
    persistentStoreDescription.type = NSInMemoryStoreType

    let container = NSPersistentContainer(name: "Foodlisting")

    container.persistentStoreDescriptions = [persistentStoreDescription]

    container.loadPersistentStores { _, error in
      if let error = error as NSError? {
        fatalError("Unresolved error \(error), \(error.userInfo)")
      }
    }

    persistentContainer = container
  }
}
